Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Private Attributes | List of all members
PluginFunctions::BaseObjectIterator Class Reference

Core Data Iterator used to iterate over all objects (Including groups) More...

`#include <OpenFlipper/BasePlugin/PluginFunctions.hh>`

## Public Types
typedef BaseObject | value_type
| type of the Objects the iterator works on
typedef BaseObject * | value_handle
| handle type (just an int)
typedef value_type & | reference
| reference type
typedef value_type * | pointer
| basic pointer type

## Public Member Functions
| BaseObjectIterator (IteratorRestriction _restriction=ALL_OBJECTS, DataType _dataType=DATA_ALL)
| Use this constructor for iterating through your data. More...
| BaseObjectIterator (BaseObject *pos, IteratorRestriction _restriction=ALL_OBJECTS, DataType _dataType=DATA_ALL)
| additional constructor starting at a given position
| operator value_handle ()
| return the current position of the iterator
bool | operator== (const BaseObjectIterator &_rhs)
| compare iterators
bool | operator!= (const BaseObjectIterator &_rhs)
| compare iterators
BaseObjectIterator & | operator= (const BaseObjectIterator &_rhs)
| assign iterators
pointer | operator-> ()
| dereference
BaseObjectIterator & | operator++ ()
| next element
BaseObjectIterator & | operator-- ()
| last element
BaseObject * | operator* ()
| dereference the iterator More...
BaseObject * | index ()
| return current position of the iterator

## Private Attributes
BaseObject * | pos_
| current position of the iterator
DataType | dataType_
| returned data types of the iterator
IteratorRestriction | restriction_
| Restriction of the iterator.

## Detailed Description

Core Data Iterator used to iterate over all objects (Including groups)

This iterator is a more low level one not only returning really visible objects but also Data containers ( e.g. groups... ) You can choose if the iterator returns only Target, Source or all objects.
Additionally you can set the type of objects returned by the iterator.

Definition at line 686 of file PluginFunctions.hh.

## Constructor & Destructor Documentation

PluginFunctions::BaseObjectIterator::BaseObjectIterator | ( | IteratorRestriction | _restriction = `ALL_OBJECTS`,
|  | DataType | _dataType = `DATA_ALL`
| ) |  |

Use this constructor for iterating through your data.

Parameters

  _restriction | Use this parameter to define which objects will be returned. You can select between ALL_OBJECTS , TARGET_OBJECTS , SOURCE_OBJECTS.
  _dataType | Use this parameter to select the returned object types. You can use DATA_ALL DATA_POLY_MESH DATA_TRIANGLE_MESH DATA_VOLUME

Definition at line 66 of file PluginFunctionsBaseIterator.cc.

## Member Function Documentation

BaseObject * PluginFunctions::BaseObjectIterator::operator* | ( |  | ) |

dereference the iterator

This operator returns a pointer to the current object the iterator points to.

Returns
  Pointer to the current ObjectData

Definition at line 190 of file PluginFunctionsBaseIterator.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/BasePlugin/PluginFunctions.hh
- OpenFlipper/BasePlugin/PluginFunctionsBaseIterator.cc